DNF5-ENVIRONMENT(8)

BEZEICHNUNG
dnf5-environment - Environment-Befehl

ÜBERSICHT

dnf5 environment {list|info} [Optionen] [Umgebungsangabe …]

dnf5 environment {install|remove|upgrade} [Optionen] [Gruppenangabe|Umgebungsangabe …]

BESCHREIBUNG

Der environment-Befehl in DNF5 bietet verschiedene Abfragen zum Abrufen von Informationen zu Umgebungen und zugehörigen Gruppen und wird auch zum Installieren von Umgebungen verwendet. Um Gruppen abzufragen, verwenden Sie den separaten group-Befehl.

Optionale Umgebungsangabe-Argumente können übergeben werden, um Umgebungen mit bestimmten IDs oder Namen zu filtern. Die Befehle »install«, »remove« und »upgrade« akzeptieren sowohl eine Umgebungsangabe als auch eine Gruppenangabe. Stimmen jedoch sowohl Umgebungen als auch Gruppen überein, werden nur die Umgebungen beeinflusst.

UNTERBEFEHLE

    list
        listet alle passenden Umgebungen auf, entweder installierte oder verfügbare. Falls nichts angegeben ist, werden alle bekannten Umgebungen aufgelistet. Die Optionen --installed und --available schränken die Liste ein.

    info
        gibt detaillierte Informationen zu Umgebungen aus. Der Befehl akzeptiert die gleichen Optionen wie der Unterbefehl list.

    install
        markiert die angegebenen Umgebungen oder Gruppen als installiert und installiert die Gruppen sowie die Pakete, die sie enthalten.

        Falls eine Umgebung oder Gruppe bereits (teilweise) installiert ist, installiert der Befehl die fehlenden Gruppen sowie die Pakete, die sie enthalten.

        Falls sowohl Gruppen als auch Umgebungen passen, werden nur Umgebungen beeinflusst.

        Für Umgebungen werden alle Gruppen aus ihrer Gruppenliste und Standardgruppen aus ihrer Optionsliste installiert.

        Wird die Option --with-optional verwendet, werden auch Optional-Pakete von Gruppen eingebunden. Standardmäßig werden alle Mandatory- und Default-Pakete nach Möglichkeit installiert. Conditional-Pakete werden installiert, wenn sie die Abhängigkeiten erfüllen. Dies kann über dnf5.conf(5), group_package_types konfiguriert werden.

        Wenn die Option --no-packages verwendet wird, werden mit diesem Befehl keine Pakete installiert. Nur aktuell installierte Gruppenpakete gelten als mit der Gruppe installiert.

    remove
        markiert die angegebenen Umgebungen oder Gruppen als entfernt und entfernt Gruppen und die darin enthaltenen Pakete vom System, die nicht zu einer anderen installierten Umgebung oder Gruppe gehören und nicht explizit vom Benutzer oder – im Fall von Paketen – nicht als Abhängigkeit installiert wurden.

        Falls sowohl Gruppen als auch Umgebungen passen, werden nur Umgebungen beeinflusst.

        Wenn die Option --no-packages verwendet wird, werden mit diesem Befehl keine Pakete entfernt.

    upgrade
        aktualisiert die Definition der angegebenen Umgebungen und Gruppen sowie der darin enthaltenen Gruppen und Pakete. Wurden seit der Installation der Umgebungen oder Gruppen neue Gruppen oder Pakete zu den aktuellen Definitionen hinzugefügt, werden diese ebenfalls installiert. Ebenso werden Gruppen oder Pakete entfernt, die in der Definition nicht mehr enthalten sind, es sei denn, sie wurden aus einem anderen Grund installiert (z.B. weil sie zu einer anderen installierten Umgebung oder Gruppe gehören, oder weil sie explizit vom Benutzer oder als Abhängigkeit installiert wurden).

        Falls sowohl Gruppen als auch Umgebungen passen, werden nur Umgebungen beeinflusst.

OPTIONEN FÜR »LIST« UND »INFO«

    --available
        zeigt nur verfügbare Umgebungen an – nicht installierte, aber die DNF5 bekannt sind.

    --installed
        zeigt nur installierte Umgebungen an.

OPTIONEN FÜR »INSTALL«, »REMOVE« UND »UPGRADE«

    --with-optional
        schließt optionale Pakete aus den Gruppen ein. Wird mit dem Befehl install verwendet.

    --no-packages
        agiert exklusiv mit Umgebungen und Gruppen, ohne irgendwelche Pakete zu verändern. Wird mit den Befehlen install und remove verwendet.

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen. Wird mit den Befehlen install und upgrade verwendet.

    --skip-broken
        behebt etwaige Abhängigkeitsprobleme, indem Pakete, die Probleme verursachen, aus der Transaktion entfernt werden. Wird mit dem Befehl install verwendet.

    --skip-unavailable
        erlaubt das Überspringen von Paketen, die nicht installier- oder aktualisierbar sind. Wird mit den Befehlen install und remove verwendet.

    --allow-downgrade
        erlaubt bei der Abhängigkeitsauflösung der angeforderten Aktion das Herunterstufen von Abhängigkeiten. Wird mit den Befehlen install und remove verwendet.

    --no-allow-downgrade
        deaktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion. Wird mit den Befehlen install und upgrade verwendet.

    --downloadonly
        lädt den nach Auflösung der Abhängigkeiten ermittelten Paketsatz herunter, ohne eine RPM-Transaktion auszuführen. Wird mit den Befehlen install und upgrade verwendet.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --store=PFAD
        Speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PATH, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl dnf5-replay(8) ausgeführt werden. Beachten Sie, dass die Paketquellen-IDs in der gespeicherten Transaktion zu @stored_transaction(repo_id) umbenannt werden. Dies ist erforderlich, da die gespeicherten Paketquellen beim Aufrufen und Ausführen der Transaktion neu erstellt werden und mit bereits vorhandenen Paketquellen kollidieren könnten. (Dies gilt nicht für die spezielle @System-Paketquelle.)

BEISPIELE

    dnf5 environment list
        Zeigt eine Liste aller Umgebungen an.

    dnf5 environment info "KDE Plasma Workspaces"
        Zeigt detaillierte Informationen zur KDE-Umgebung an.

SIEHE AUCH
        dnf5-comps(7), Comps-Gruppen und Umgebungen
        dnf5-specs(7), Muster-Spezifikation

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).